# Timeline - Games

## Navigation

[Return to Home](../index.md)  
[Engine Timeline](./engines.md)


## Major Titles with .bsp

```
1996 | quake
1997 | \-> quake 2
1998 |     |------------------------> half-life
1999 |     \-> quake 3                |
2000 |        |                       |
2001 |        |                       |
2002 |        |                       |
2003 |        \-> call of duty        \-> half-life 2
2004 |            |                       |
2005 |            \-> call of duty 2      |
2006 |                |                   |
2007 |                \-> modern warfare  \-> orange box
2008 |                                        |-> left 4 dead
2009 |                                        |   \-> left 4 dead 2
2010 |                                        |
2011 |                                        \-> portal 2
2012 |                                            |
2013 |                                            |
2014 |                                            \-> titanfall
2015 |                                                |
2016 |                                                \-> titanfall 2
2017 |                                                    |
2018 |                                                    |
2019 |                                                    \-> apex legends
```


## "Relevant" Titles

```
1992 |      wolfenstein 3d
1993 |      \-> doom
1994 | doom 2 <-|-> heretic
1995 |          |-> hexen
1996 |          \-> quake
1997 |    hexen 2 <-^-> quake 2
1998 |            sin <-|
     |      heretic 2 <-|-------------------------------------------------------------> half-life
1999 |                  |-> quake 3                                                     |-> half-life:opposing force
2000 |      daikatana <-/   |-> heavy metal:f.a.k.k.2                                   |-> counter-strike
     |                      |-> american mcgees alice                                   |-> ricochet
2001 |                      |   |                                                       |-> half-life:blue shift
2002 |                      |   |-> medal of honor:allied assault                       |-> nightfire
2003 |                      |   \-> star trek elite force 2                             |-> day of defeat
     |                      |---------------------------> call of duty                  |-> half-life 2
2004 |                      |-> doom 3                    |                     cs:cz <-/   |-> cs:source
2005 |                      |   |-> quake 4               \-> call of duty 2                |-> dod:source
2006 |                      |   |-> prey                      |              dark messiah <-|-> episode 1
2007 |                      |   |-> quake wars                \-> modern warfare            |   \--------> orange box
2008 |                      |   |                  world at war <-|-> quantum of solace     |              |-> left 4 dead
2009 |                      |   |-> wolfenstein    |              \-> modern warfare 2      |              |   \-> left 4 dead 2
2010 |         quake:live <-/   |                  \-> blops          |                     |  vindictus <-|-> alien swarm
2011 |                  brink <-|-> rage               |              \-> modern warfare 3  |              |-> portal 2
2012 |             doom 3 bfg <-|   |                  \-> blops 2        |                 |      cs:go <-/   |
2013 |           the dark mod <-/   |                      |              \-> ghosts        \-> cs:online 2    |
2014 |                evil within <-|-> new order          | advanced warfare |                                \-> titanfall
2015 |                              |-> old blood          \-> blops 3        |                                    |
2016 |       quadrilateral cowboy <-^-> doom                   |              \-> infinite warfare   titanfall 2 <-|
     |                  dishonored 2 <--|                      |                  |                  |             |
2017 |       outsider <-|    doom VFR <-|-> new colossus       |                  |                  | tf:online <-/
2018 |                  |               |                      |-> blops 4        |                  |
2019 |                  |  youngblood <-|-> cyber pilot        |                  \-> modern warfare \-> apex legends
2020 |                  |               \-> doom eternal       \-> blops cold war     |-> cod:warzone
2021 |      deathloop <-/                                                             \-> vanguard
```


## References

 - [Doom Wiki: Timeline](https://doomwiki.org/wiki/Timeline)
 - [Doom Wiki: Commercial Games](https://doomwiki.org/wiki/Commercial_games)
 - [John Romero @ GDC 2016: Early Days of id Software](https://www.gdcvault.com/play/1023765/The-Early-Days-of-id)
 - [Call of Duty Wiki: Engine](https://callofduty.fandom.com/wiki/Game_Engine)
 - [Call of Duty Wiki: idTech 3](https://callofduty.fandom.com/wiki/Id_Tech_3)
 - [Call of Duty Wiki: Radiant](https://callofduty.fandom.com/wiki/Radiant)
 - [Game Informer: Modern Warfare 2019 Interview](https://www.gameinformer.com/2019/08/26/the-impressive-new-tech-behind-call-of-duty-modern-warfare)
 - [80.lv: CLight Entity](https://80.lv/articles/valve-reused-the-code-for-flickering-lights-in-alyx-22-years-later/)
 - [Hardcore Gamer: Titanfall Engine](https://hardcoregamer.com/features/interviews/e3-2016-respawn-talks-content-variety-reworked-engine-in-titanfall-2/212196/)
 - [Gamasutra: Zenimax makes idTech 5 Closed Source](https://www.gamasutra.com/view/news/29886/id_Tech_5_Rage_Engine_No_Longer_Up_For_External_Licensing.php)
 - [Moby Games: Void Engine](https://www.mobygames.com/game-group/3d-engine-void-engine)
 - [ModDB: Void Engine](https://www.moddb.com/engines/void-engine)
 - [Moby Games: Übertools](https://www.mobygames.com/game-group/3d-engine-id-tech-3-with-bertools)
 - [Gamers.org: Quake Documentation](https://www.gamers.org/dEngine/quake/)
 - [Ritual Entertainment: Ubertools](http://ritualistic.chrissstrahl.de/games/ef2/gdkdocs/)

### Wikipedia
 - [Quake Engine](https://en.wikipedia.org/wiki/Quake_engine#Games_using_the_Quake_engine)
 - [Quake II Engine](https://en.wikipedia.org/wiki/Quake_II_engine#Games_using_the_Quake_II_engine)
 - [IdTech 3](https://en.wikipedia.org/wiki/Id_Tech_3#Games_using_the_engine)
 - [GoldSrc](https://en.wikipedia.org/wiki/GoldSrc)
 - [Source Engine](https://en.wikipedia.org/wiki/Source_(game_engine)#Games_using_Source)
 - [IW Engine](https://en.wikipedia.org/wiki/IW_(game_engine)#Games_using_IW_engine)
 - [Call of Duty](https://en.wikipedia.org/wiki/Call_of_Duty)
 - [Nerve Software](https://en.wikipedia.org/wiki/Nerve_Software)
